CSV import does not keep the project it was clicked from

2016-01-20 12:04 - Olivier Houdas

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Importers Estimated time: 0.00 hour

Target version: 4.1.0   

Resolution: Fixed Affected version: 3.2.0

Description

When clicking the new Import link in the side bar menu of Issues, the project information seems to be lost.

There are several consequences:

1. Clicking the sidebar links in one of the import steps has various consequences, from no action (custom queries) to Error 500

(Calendar, Gantt)

2. When reaching the field mapping step, there is a project which is preselected, but not the one the import link was clicked from.

Associated revisions

Revision 19381 - 2019-12-20 09:07 - Jean-Philippe Lang

CSV import does not keep the project it was clicked from (#21766).

Patch by Marius BALTEANU.

Revision 19387 - 2019-12-20 09:51 - Jean-Philippe Lang

Merged r19381 to 4.1-stable (#21766).

History

#1 - 2016-01-20 12:10 - Olivier Houdas

Sorry, for the Calendar and Gantt links, the error 500 is due to a plugin.

#2 - 2016-01-20 13:16 - Toshi MARUYAMA

- Status changed from New to Needs feedback

Did you solve problems?

#3 - 2016-01-20 14:12 - Olivier Houdas

Well, not #2.

The fact that side-bar menus are not really relevant in the import page (since it is not set to any project) is just a note.

This is not a serious issue, but there is a reference to @import.project in the mapping page (views/mapping.html.erb) which returns a value, but we

will never get the project we actually came from, because the link in the project\issues page is not project-dependent.

#4 - 2016-01-20 14:54 - Toshi MARUYAMA

- Status changed from Needs feedback to New

#5 - 2019-10-28 06:57 - Marius BĂLTEANU

- Status changed from New to Confirmed

I confirm this behavior in the latest trunk.

#6 - 2019-10-28 07:15 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#7 - 2019-10-28 08:57 - Marius BĂLTEANU
- Subject changed from CSV import does keep the project it was clicked from to CSV import does not keep the project it was clicked from

#8 - 2019-11-01 23:07 - Marius BĂLTEANU

- File 0002-Fix-CSV-import-does-not-keep-the-project-it-was-clic.patch added

- Assignee deleted (Marius BĂLTEANU)

- Target version set to Candidate for next major release

Attached is a fix for this problem, it can be applied on top of #32196.

#9 - 2019-11-02 09:05 - Marius BĂLTEANU

Should we include this fix in 4.1.0?

#10 - 2019-12-20 08:58 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

#11 - 2019-12-20 09:01 - Go MAEDA

Confirmed the issue. Since the change is small, I have set the target version to 4.1.0.

#12 - 2019-12-20 09:51 - Jean-Philippe Lang

- Status changed from Confirmed to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed.

Files

0002-Fix-CSV-import-does-not-keep-the-project-it-was-clic.patch 5.39 KB 2019-11-01 Marius BĂLTEANU
